gnutls_x509_trust_list_set_ptr(3)

NAME
gnutls_x509_trust_list_set_ptr - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_x509_trust_list_set_ptr(gnutls_x509_trust_list_t tlist, void * ptr);

ARGUMENTS

gnutls_x509_trust_list_t tlist
    is a gnutls_x509_trust_list_t type.

void * ptr
    is the user pointer

DESCRIPTION
This function will set (associate) the user given pointer ptr to the tlist structure. This pointer can be accessed with gnutls_x509_trust_list_get_ptr(). Useful in the callback function gnutls_x509_trust_list_set_getissuer_function.

SINCE
3.7.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/